Bug 199295 - kernel hang, "protocol 0000 is buggy" using netconsole combined with promiscuous mode
kernel hang, "protocol 0000 is buggy" using netconsole combined with promiscu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 14:26 EDT by Leszek Matok
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 00:49:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leszek Matok 2006-07-18 14:26:37 EDT
I can't truly paste anything, because it freezes really hard, but I think the
below is all that matters (and is all there is to reproduce it).
On the console I do:
# modprobe netconsole netconsole=@/,@/
(doesn't really matter, what I type in there, hangs with above command, too)
Then I do:
# ngrep
eth0: Setting promiscuous mode.
audit(blah:blah): dev=eth0 prom=256 old_prom=0 auid=blah
protocol 0000 is buggy, dev eth0

And immediately the machine hangs. Works every time. I haven't tried with
tcpdump/snort/anything else, but this is ngrep from yum (Extras IIRC).

The kernel is 2.6.17-1.2157_FC5.
Comment 1 Dave Jones 2006-10-16 17:09:40 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Leszek Matok 2006-10-17 13:49:08 EDT
With 2.6.18-1.2200.fc5 (funny, "_FC" changed to ".fc") the kernel doesn't hang,
hurray! Unfortunately, "protocol 0000 is buggy, dev eth0" messages appear, only
this time 10 times in a row and also some "printk: 2 messages suppressed." after
the first ngrep restart.

I'm happy that it doesn't hang the kernel anymore, but I guess this issue isn't
fixed entirely (as the kernel tells me that it's buggy) and I'm going to reopen
it (or rather, "provide requested information").
Comment 3 Dave Jones 2006-10-21 03:12:10 EDT
Ok, I have a fix in hand for the protocol is buggy problem.
It'll be in the next update.
Comment 4 Dave Jones 2006-11-12 00:49:51 EST
should be fixed in 2.6.18-1.2239.fc5 now in updates.

Note You need to log in before you can comment on or make changes to this bug.